curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources"
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-01T10:00:00"
}
]
Retrieve all resources configured for a specific server.
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources"
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-01T10:00:00"
}
]
| Header | Description |
|---|---|
X-WP-Total | Total number of resources |
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/resources"
[
{
"id": 1,
"server_id": 1,
"uri": "docs://api-overview",
"name": "API Overview",
"description": "Overview of available tools and their usage",
"mime_type": "text/markdown",
"data_source_type": "static",
"data_source_config": {
"content": "# API Overview\n\nThis server provides weather tools..."
},
"template_uri": null,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-01T10:00:00"
}
]